Bug 857267 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'create' accesses on the directory gstreamer-1.0.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'create' accesses...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:12d45c836d5ed4744f923f738df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 20:05 EDT by P. A. López-Valencia
Modified: 2012-12-20 10:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:59:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-13 20:05 EDT, P. A. López-Valencia
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-13 20:05 EDT, P. A. López-Valencia
no flags Details

  None (edit)
Description P. A. López-Valencia 2012-09-13 20:05:52 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.6.0-0.rc4.git2.1.fc18.i686.PAE

description:
:SELinux is preventing /usr/bin/totem-video-thumbnailer from 'create' accesses on the directory gstreamer-1.0.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that totem-video-thumbnailer should be allowed create access on the gstreamer-1.0 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:cache_home_t:s0
:Target Objects                gstreamer-1.0 [ dir ]
:Source                        totem-video-thu
:Source Path                   /usr/bin/totem-video-thumbnailer
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           totem-3.5.90-2.fc18.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-18.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-0.rc4.git2.1.fc18.i686.PAE
:                              #1 SMP Fri Sep 7 12:36:37 UTC 2012 i686 i686
:Alert Count                   18
:First Seen                    2012-09-13 19:46:14 EDT
:Last Seen                     2012-09-13 20:02:44 EDT
:Local ID                      5b26aca8-5de2-4dac-a5c9-29f8502fc896
:
:Raw Audit Messages
:type=AVC msg=audit(1347580964.469:134): avc:  denied  { create } for  pid=3309 comm="totem-video-thu" name="gstreamer-1.0" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:cache_home_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1347580964.469:134): arch=i386 syscall=mkdir success=no exit=EACCES a0=85a3dd8 a1=1ff a2=45182000 a3=85a3dd8 items=0 ppid=2655 pid=3309 auid=1000 uid=1000 gid=100 euid=1000 suid=1000 fsuid=1000 egid=100 sgid=100 fsgid=100 tty=(none) ses=5 comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: totem-video-thu,thumb_t,cache_home_t,dir,create
:
:audit2allow
:
:#============= thumb_t ==============
:allow thumb_t cache_home_t:dir create;
:
:audit2allow -R
:
:#============= thumb_t ==============
:allow thumb_t cache_home_t:dir create;
:
Comment 1 P. A. López-Valencia 2012-09-13 20:05:55 EDT
Created attachment 612685 [details]
File: type
Comment 2 P. A. López-Valencia 2012-09-13 20:05:57 EDT
Created attachment 612686 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-09-14 04:51:38 EDT
Ok, I see a bug. Fixing.
Comment 4 Fedora Update System 2012-09-17 09:01:25 EDT
selinux-policy-3.11.1-21.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-21.fc18
Comment 5 Fedora Update System 2012-09-17 16:38:34 EDT
Package selinux-policy-3.11.1-21.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-21.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14225/selinux-policy-3.11.1-21.fc18
then log in and leave karma (feedback).
Comment 6 Kamil Páral 2012-09-25 05:48:03 EDT
I opened up Nautilus with .ogg file being downloaded into ~/Downloads.

Package: (null)
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 7 Marta Sieroslawska 2012-09-25 07:01:19 EDT
Appeared during testing fedoraproject.org/wiki/QA:Testcase_nouveau_fastuserswitch

Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 8 Fedora Update System 2012-09-26 00:52:01 EDT
selinux-policy-3.11.1-25.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-25.fc18
Comment 9 Fedora Update System 2012-12-20 10:59:30 EST
selinux-policy-3.11.1-21.fc18 has been pushed to the Fedora 18 obsolete repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.